Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1351165 - [abrt] plasma-workspace-drkonqi: qt_message_fatal(): drkonqi killed by SIGABRT
Summary: [abrt] plasma-workspace-drkonqi: qt_message_fatal(): drkonqi killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:281a29572ec8c6eabe7f3615aee...
: 1311449 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-29 11:41 UTC by Mustafa Muhammad
Modified: 2017-12-12 10:35 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:35:24 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: cgroup (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: core_backtrace (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: dso_list (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: environ (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: limits (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: maps (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: mountinfo (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: namespaces (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: open_fds (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: proc_pid_status (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details
File: var_log_messages (deleted)
2016-06-29 11:42 UTC, Mustafa Muhammad
no flags Details

Description Mustafa Muhammad 2016-06-29 11:41:58 UTC
Version-Release number of selected component:
plasma-workspace-drkonqi-5.6.95-3.fc25

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi --appname kdeinit5 --kdeinit --apppath /usr/bin --signal 11 --pid 1254 --startupid 0 --restarted
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     2005
kernel:         4.7.0-0.rc5.git0.1.fc25.x86_64
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1648
 #3 QMessageLogger::fatal at global/qlogging.cpp:790
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:585
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:179
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:50
 #7 loadIntegration at kernel/qplatformintegrationfactory.cpp:56
 #8 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:73
 #9 init_platform at kernel/qguiapplication.cpp:1058
 #10 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1227
 #11 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1244

Potential duplicate: bug 1294645

Comment 1 Mustafa Muhammad 2016-06-29 11:42:05 UTC
Created attachment 1173828 [details]
File: backtrace

Comment 2 Mustafa Muhammad 2016-06-29 11:42:07 UTC
Created attachment 1173829 [details]
File: cgroup

Comment 3 Mustafa Muhammad 2016-06-29 11:42:08 UTC
Created attachment 1173830 [details]
File: core_backtrace

Comment 4 Mustafa Muhammad 2016-06-29 11:42:10 UTC
Created attachment 1173831 [details]
File: dso_list

Comment 5 Mustafa Muhammad 2016-06-29 11:42:11 UTC
Created attachment 1173832 [details]
File: environ

Comment 6 Mustafa Muhammad 2016-06-29 11:42:13 UTC
Created attachment 1173833 [details]
File: limits

Comment 7 Mustafa Muhammad 2016-06-29 11:42:15 UTC
Created attachment 1173834 [details]
File: maps

Comment 8 Mustafa Muhammad 2016-06-29 11:42:17 UTC
Created attachment 1173835 [details]
File: mountinfo

Comment 9 Mustafa Muhammad 2016-06-29 11:42:18 UTC
Created attachment 1173836 [details]
File: namespaces

Comment 10 Mustafa Muhammad 2016-06-29 11:42:20 UTC
Created attachment 1173837 [details]
File: open_fds

Comment 11 Mustafa Muhammad 2016-06-29 11:42:21 UTC
Created attachment 1173838 [details]
File: proc_pid_status

Comment 12 Mustafa Muhammad 2016-06-29 11:42:23 UTC
Created attachment 1173839 [details]
File: var_log_messages

Comment 13 Jan Kurik 2016-07-26 04:29:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 14 Sandro Bonazzola 2016-11-25 15:36:57 UTC
Still in fc25 with 5.8.1-1.fc25.x86_64

Comment 15 xafilta 2016-12-15 07:53:45 UTC
*** Bug 1404947 has been marked as a duplicate of this bug. ***

Comment 16 Allan Poulsen 2016-12-21 12:27:50 UTC
Similar problem has been detected:

The same thing as https://bugzilla.redhat.com/show_bug.cgi?id=1406752. This problem is related to this failure.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi -platform xcb -display :0 --appname kdeinit5 --kdeinit --apppath /usr/bin --signal 11 --pid 3918 --startupid 0 --restarted
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     4424
kernel:         4.8.14-300.fc25.x86_64
package:        plasma-workspace-drkonqi-5.8.4-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         drkonqi killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Andre Dierker 2016-12-28 17:56:05 UTC
*** Bug 1408986 has been marked as a duplicate of this bug. ***

Comment 18 thanosk 2017-01-15 02:46:06 UTC
*** Bug 1413337 has been marked as a duplicate of this bug. ***

Comment 19 alain.thiaville 2017-02-02 10:35:00 UTC
Similar problem has been detected:

kde gui reboot

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/kuiserver5
crash_function: qt_message_fatal
executable:     /usr/bin/kuiserver5
global_pid:     1687
kernel:         4.9.6-200.fc25.x86_64
package:        plasma-workspace-5.8.5-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         kuiserver5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 20 Gerasim 2017-02-18 11:04:21 UTC
*** Bug 1424693 has been marked as a duplicate of this bug. ***

Comment 21 Gerasim 2017-04-07 20:27:12 UTC
*** Bug 1440304 has been marked as a duplicate of this bug. ***

Comment 22 alain.thiaville 2017-07-16 07:03:58 UTC
Similar problem has been detected:

system upgrade to fedora 26

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/kuiserver5
crash_function: qt_message_fatal
executable:     /usr/bin/kuiserver5
global_pid:     6219
kernel:         4.11.8-200.fc25.x86_64
package:        plasma-workspace-5.9.5.1-1.fc25
reason:         kuiserver5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 23 igiwatson 2017-07-20 11:10:35 UTC
Similar problem has been detected:

Changed desktop by hot keys, which I have set to Ctrl+Alt+ left or right arrow.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi --appname kwin_x11 --apppath /usr/bin --signal 11 --pid 1437 --startupid 0
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     2867
kernel:         4.11.9-200.fc25.x86_64
package:        plasma-workspace-drkonqi-5.9.5.1-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         drkonqi killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1004

Comment 24 Rex Dieter 2017-07-20 13:42:55 UTC
from var_log_messages:

Jun 29 10:57:02 localhost.localdomain drkonqi[2005]: QXcbConnection: Could not connect to display :0

Comment 25 deuzene 2017-07-25 09:44:30 UTC
*** Bug 1474733 has been marked as a duplicate of this bug. ***

Comment 26 Rex Dieter 2017-10-10 20:13:41 UTC
*** Bug 1311449 has been marked as a duplicate of this bug. ***

Comment 27 Fedora End Of Life 2017-11-16 15:18:07 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 28 Fedora End Of Life 2017-12-12 10:35:24 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.